import { http } from '@/api/service/request';
import type { BaseResult, ResultTable } from '@/api/service/types';

/** 账单信息---获取账单信息列表 */
export const fetchGetUserBillList = (data: any) => {
	// 删除这个请求参数
	delete data.date;
	return http.request<BaseResult<ResultTable>>('get', `bill/noManage/getUserBillList/${data.currentPage}/${data.pageSize}`, { params: data });
};

/** 账单信息---账单收入和支出 */
export const fetchGetExpendOrIncome = (data: any) => {
	return http.request<BaseResult<object>>('get', 'bill/noManage/getExpendOrIncome', { params: data });
};

/** 账单信息---添加账单信息 */
export const fetchAddUserBill = (data: any) => {
	return http.request<BaseResult<object>>('post', 'bill/noManage/addUserBill', { data });
};

/** 账单信息---更新账单信息 */
export const fetchUpdateUserBill = (data: any) => {
	return http.request<BaseResult<object>>('put', 'bill/noManage/updateUserBill', { data });
};

/** 账单信息---删除账单信息 */
export const fetchDeleteUserBill = (data: any) => {
	return http.request<BaseResult<object>>('delete', 'bill/noManage/deleteUserBill', { data });
};
